##########################################################################
#
# FILE  linux/common.mk
# Copyright (c) 2005, 2006 Daniel Kahlin <daniel@kahlin.net>
# Written by Daniel Kahlin <daniel@kahlin.net>
# $Id: common.mk,v 1.3 2006-11-27 13:07:59 tlr Exp $
#
# DESCRIPTION
#   Makefile
#
######
BINARY=dtvtrans
POST=o
ARCHOBJS=linux/port.o linux/timer.o

CXXFLAGS=-g -O2 -Wall -I $(ARCH) -D IS_LINUX -D HAVE_STDINT_H \
      -D PACKAGE=\"$(PACKAGE)\" \
      -D VERSION=\"$(VERSION)\"

define DOLINK
	$(CXX) -o$@ $^
endef

clean::
	rm -f *.o
	rm -f a.out
# eof
